using UnityEngine;

// [CreateAssetMenu(fileName = "NetworkConfig", menuName = "GameData/NetworkConfig")]
public class NetworkConfig : ScriptableObject {
    [Header("Network Config")] [Header("显示日志")]
    public bool showNetworkLog = true;

    [Header("Url配置")] public string debugHost;

    public string releaseHost;

    [Header("连接模式")] public ConnectionMode connectionMode = ConnectionMode.Http;
}

public enum ConnectionMode {
    Http, // 基于 HTTP 协议的链接
    WebSocket // 基于 WebSocket 协议的链接
}
